#
# spec file for package gedit-code-assistance
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gedit-code-assistance
Version:        3.16.0
Release:        bp154.1.63
Summary:        Plugin for gedit which provides code assistance for C, C++ and Objective-C
License:        GPL-3.0+
Group:          Productivity/Text/Editors
Url:            http://git.gnome.org/browse/gedit-code-assistance
Source:         http://download.gnome.org/sources/gedit-code-assistance/3.16/%{name}-%{version}.tar.xz
BuildRequires:  gnome-code-assistance
BuildRequires:  llvm-clang-devel >= 2.8
BuildRequires:  llvm-devel >= 2.8
BuildRequires:  vala
BuildRequires:  pkgconfig(gedit) >= 3.8
BuildRequires:  pkgconfig(gee-0.8)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
gedit-code-assistance is a plugin for gedit which provides code
assistance for C, C++ and Objective-C by utilizing clang.

%package -n gedit-plugin-code-assistance
Summary:        Plugin for gedit which provides code assistance for C, C++ and Objective-C
Group:          Productivity/Text/Editors
Requires:       gedit
Provides:       %{name} = %{version}

%description -n gedit-plugin-code-assistance
gedit-code-assistance is a plugin for gedit which provides code
assistance for C, C++ and Objective-C by utilizing clang.

%prep
%setup -q

%build
export CC=clang
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir}/gedit/plugins/ -type f -name "*.la" -delete -print

%files -n gedit-plugin-code-assistance
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%dir %{_includedir}/gedit-3.0
%dir %{_includedir}/gedit-3.0/gca
%{_includedir}/gedit-3.0/gca/gca.h
%{_libdir}/gedit/plugins/codeassistance.plugin
%{_libdir}/gedit/plugins/libcodeassistance.so
%dir %{_libdir}/gedit/plugins/gca
%dir %{_libdir}/gedit/plugins/gca/indent-backends
%{_libdir}/gedit/plugins/gca/indent-backends/libgcaindentbackendc.so
%{_libdir}/gedit/plugins/gca/indent-backends/gcaindentbackendc.plugin
%dir %{_datadir}/gedit/plugins/codeassistance
%{_datadir}/gedit/plugins/codeassistance/codeassistance.css
%dir %{_datadir}/appdata
%{_datadir}/appdata/gedit-code-assistance.metainfo.xml
%{_datadir}/vala/vapi/gca.vapi

%changelog
* Thu Apr 30 2015 zaitor@opensuse.org
- Update to version 3.16.0:
  + Fix save followed by save instead of restore.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.14.3:
  + Fix crash at exit when closing several documents.
* Mon Mar 16 2015 dimstar@opensuse.org
- Update to version 3.14.2:
  + Fix problem loading indent backends with new libpeas.
* Fri Dec 19 2014 zaitor@opensuse.org
- Update to version 3.14.1:
  + Fixes the vapi in the tarball (bgo#738981).
* Sun Dec 14 2014 badshah400@gmail.com
- Update to version 3.14.0:
  + Add smart indentation.
  + Fix newline deletion bug.
  + Fix crash in diagnostics.
- Include additional files installed by upstream.
- Disable the generation of static library by passing
  '--disable-static' option to %%configure.
* Sat Apr  5 2014 zaitor@opensuse.org
- Update to version 0.3.1:
  + Misc bugfixes.
* Tue Dec 17 2013 zaitor@opensuse.org
- Update to version 0.3.0:
  + This release issues a major change in how gedit-code-assistance
    works. The code-assistance backends have been refactored as
    out-of-process dbus services in a new project called
    gnome-code-assistance. The gedit-code-assistance project now
    uses gnome-code-assistance services to provide code assistance
    for gedit as a plugin.
- Drop fdupes, pkgconfig(pygobject-3.0) and pkgconfig(libpeas-1.0)
  BuildRequires, not needed any more.
- Exchange pkgconfig(gee-1.0) for pkgconfig(gee-0.8) BuildRequires,
  following upstreams port to gee-0.8.
- Drop subpackages typelib-1_0-Gcp-3_0 and
  gedit-code-assistance-devel, not built anymore.
- Add gnome-code-assistance BuildRequires, new dependency.
* Mon Jul 29 2013 dimstar@opensuse.org
- Build using clang/llvm instead of gcc by exoprting CC=clang: the
  C backend is written with llvm in mind. Not switching the
  compiler can cause configure to mis-detect the availability of
  clang/llvm due to invalid gcc parameters.
* Sat Mar 30 2013 zaitor@opensuse.org
- Update to version 0.2.0:
  + Ported to python 3.
  + Misc bugfixes.
* Sun Oct 21 2012 zaitor@opensuse.org
- Update to version 0.1.5:
  + Fix the XML backend.
- Changes from version 0.1.4:
  + Added XML backend.
  + Added python backend.
  + Moved backends to peas based plugin system.
- Add pkgconfig(libpeas-1.0) and pkgconfig(pygobject-3.0)
  BuildRequires, new dependencies.
- Add fdupes BuildRequires in order to be able to use %%fdupes.
- Split out new subpackage typelib-1_0-Gcp-3_0, containing the new
  gobject-introspection typelib.
- Split out new subpackages gedit-code-assistance-devel, as there
  are newly headers installed.
* Sun Mar 11 2012 dimstar@opensuse.org
- Update to version 0.1.3:
  + Fix memory leaks
  + Move c backend to its own directory
  + Misc bugfixes.
- Drop gedit-code-assistance-vala015.patch: fixed upstream.
* Sun Mar  4 2012 dimstar@opensuse.org
- Add gedit-code-assistance-vala015.patch: Fix build with vala
  0.15.
* Sun Nov 20 2011 dimstar@opensuse.org
- Update to version 0.1.2:
  + Move various tasks to background threads
  + Misc bugfixes.
* Sun Nov  6 2011 badshah400@gmail.com
- Initial package (version 0.1.1)
